FreeMat

- Main Page
- Related Pages

ASSIGNIN Assign Variable in Workspace

Section: FreeMat Functions

# Usage

The `assignin` function allows you to assign a value to a variable in either the callers work space or the base work space. The syntax for `assignin` is

       assignin(workspace,variablename,value)

The argument `workspace` must be either 'caller' or 'base'. If it is 'caller' then the variable is assigned in the caller's work space. That does not mean the caller of `assignin`, but the caller of the current function or script. On the other hand if the argument is 'base', then the assignment is done in the base work space. Note that the variable is created if it does not already exist.